Subject: [431] Re: [429] I cannot upload a file - permission denied.

From: [email-masked]
Date: Fri, 09 Sep 1994 15:25:45 -0400

> From [email-masked] Fri Sep  9 14:45:21 1994
> From: [email-masked] (Howard Yeung)
> Subject: [429] I cannot upload a file - permission denied.
> To: [email-masked]
> 
> Hi Everyone,
>  
> I ftp anonymous to the ftp server I have just setup.
> Everything works fine except when I try to upload a
> file into the upload directory.  I have the following
> message:
>  
> ------------------------capture------------------
> ftp> cd incoming
> 250 CWD command successful.
> ftp> ls
> 200 PORT command successful.
> 550 No files found.
> ftp> put .login
> 200 PORT command successful.
> 553 .login: Permission denied. (Filename (deny))
> ftp>

  Your problem appears to be with the filename itself.  Check your ftpaccess
file and see if the ^\. appears as below.

path-filter  anonymous  /etc/msgs/path.msg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
path-filter  guest      /etc/msgs/path.msg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
                     					       ^^^^^
This prevents filenames from starting with a "." and will return the
"Permission denied. (Filename (deny))" error message you received.

Good Luck

  Floyd